Subject: [Simple] RE: I-DAction:draft-hellstrom-simple-text-transmission-00.txt

From: "Paul E. Jones" <[email-masked]>
Date: Wed, 30 Jan 2008 22:33:34 -0500

Gregg,

There might be special servers that log messages and which might suffer from
a lack of processing power.  Those are the ones that worry me the most.
Perhaps a call to a large bank's call center might result in an en bloc mode
of text conversation.

A typical text conversation that transmits 3 or 4 packets per second will
consume less bandwidth than a typical voice conversation that transmits 50
packets per second.  So, bandwidth is used, but I'm not too concerned about
it for human-to-human conversation.

Perhaps more importantly, the processing required to merely forward an MSRP
packet is far less than performing any kind of processing on the packet.  In
a typical conversation, would we expect that there would just be entities
like SBCs in the path between two MSRP-enabled devices?  If so, I will
expect packets to get forwarded without modification whatsoever.

So, for the more general use cases of person-to-person communication,
captioned telephony, emergency service calls, etc., I would expect that if
two devices want to use real-time text transmission, it will be possible.

Paul

> -----Original Message-----
> From: Gregg Vanderheiden [mailto:[email-masked]]
> Sent: Wednesday, January 30, 2008 10:13 PM
> To: 'Paul E. Jones'; 'Simple WG'
> Cc: 'Gunnar Hellström'
> Subject: RE: I-DAction:draft-hellstrom-simple-text-transmission-00.txt
> 
> the other major concern I heard was the bandwidth.  This is not a
> problem
> generally on wired networks and video on demand seems to make it sound
> like
> the issue would be dwarfed by other content flow - even on wireless
> (where
> we hear this the most).
> 
> But i think that listing both the bandwidth requirments and the relay
> issue
> up front would be enough to move this into discussion.
> 
> we should do that in a way that says  "if we go this way - we agree to
> live
> with the bandwidth issue and address the relay issue."
> 
> otherwise im afraid we may end up with .
> "oh we can fix the bandwidth issue by just not doing it in real-time
> but say
> every second or so" (which breaks CapTel and is bad for conversation
> and
> emergencies -- creates overlaps and confusion esp for elders. )
>  -- and the relay problem is solved by hinting (even though it doesn't
> have
> to be followed so won't always work.)
> 
> But other than strenthening those - i think we are ready to vet it.
> 
> 
> Gregg
>  -- ------------------------------
> Gregg C Vanderheiden Ph.D.
> 
> 
> 
> > -----Original Message-----
> > From: Paul E. Jones [mailto:[email-masked]]
> > Sent: Wednesday, January 30, 2008 5:25 PM
> > To: 'Simple WG'
> > Cc: 'Gunnar Hellström'; 'Gregg Vanderheiden'
> > Subject: Re: I-DAction:draft-hellstrom-simple-text-transmission-
> 00.txt
> >
> > Folks,
> >
> > During the middle of the month, there was a little discussion
> > on the draft draft-hellstrom-simple-text-transmission-00.  As
> > discussed, this draft is intended to provide a means of
> > enabling real-time text transmission between devices using MSRP.
> >
> > Looking through the discussion that took place, I believe the
> > only concern was that an MSRP relay might collect several
> > text chunks and combine that, thus effectively breaking RTT
> > communication.  That's true and we cannot prevent it, but as
> > Gunnar highlighted, there is an attribute included that
> > provides a hint to relays that immediate delivery is
> > required.  We may need a stronger hint and/or means to select
> > MSRP relays that will deliver the functionality we need.
> >
> > Were there any other concerns?
> >
> > While there are certainly issues we need to address (and
> > several noted in the initial draft), we wanted to put this
> > before the group to try to build consensus for this general
> > direction.  It seems that there was support for this idea
> > (and no objection that I could see).  As such, would be
> > acceptable to the group to make this a work item and begin
> > actively progressing the draft within SIMPLE?
> >
> > Thanks,
> > Paul
> >
> >
> >
> 
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple